<section id="job_header" class="content-header">
  <div class="row">
    <div class="col-sm-6 padding-left-5">
      <input kendoInput type="text" id="bulkJobName" class="job_name" placeholder="New Bulk Job" [(ngModel)]="bulkJob.name" />
    </div>
    <div kendoTooltip class="col-sm-6 padding-right-5" >
      <button kendoButton class="pull-right k-button-default" id="saveBtn" (click)="saveBulkJob()" [disabled]="bulkJob.name===''">
        <svg title="Save Job" class="icon_connection" shape-rendering="geometricPrecision" width="20" height="20">
          <use xlink:href="./assets/dist/img/icons.svg#icon_save"></use>
        </svg>
      </button>
    </div>
  </div>
</section>
<section id="job_content">
  <div class="box box-warning box-solid" *ngIf="isSyncAble" style="box-shadow: 0px 5px 17px 1px rgba(0,0 ,0, 0.5);
    position: absolute;z-index: 100;width: 400px;left: 45%;">
    <div class="box-body" style="margin: 0;font-size: 12px;">
      <div *ngIf="isSyncAble">
        <p>Found few column in source table. Do you want to sync with target table metadata?
        </p>
        <div class="box-tools pull-right">
          <button kendoButton [primary]="true" (click)="getUpdatedTableMetadata()">Ok
          </button>&nbsp;
          <button type="button" class="btn btn-default btn-box-tool" (click)="isSyncAble = !isSyncAble"
            data-widget="collapse">Cancel
          </button>
        </div>
      </div>
    </div>
    <!-- /.box-body -->
  </div>
  <div class="col-sm-3 connection">
  
    <div class="row connection_header" id="sourceConnection">
      <div class="col-lg-12" style="padding: 0 14px 2px 1px">
        <kendo-dropdownlist [data]="sourceConnections" class="custom_dpd" height="40" [filterable]="true"
          [textField]="'name'" [valueField]="'connectionId'" (filterChange)="filterSourceConnection($event)"
          [(ngModel)]="sourceConnectionValue" (selectionChange)="selectionChangeSourceConnection($event)"
          *ngIf="!isSourceConnectionConnected">
        </kendo-dropdownlist>
      </div>
    </div>
   
    <div cdkDropList #todoList="cdkDropList" [cdkDropListData]="sourceCollection" [cdkDropListConnectedTo]="[doneList]"
      class="collection-list" (cdkDropListDropped)="drop($event)">
      <div class="collection-box" *ngFor="let item of sourceCollection" cdkDrag>{{item.text}}</div>
    </div>
  </div>
  <div class="col-sm-3 connection">
    <div class="row connection_header" style="height: 46px;">
      <div class="col-lg-12 padding-left-5">
        <h4 style="font-size: 16px; margin-top: 10px">Selected Collections</h4>
      </div>
    </div>
    <div cdkDropList #doneList="cdkDropList" [cdkDropListData]="done" [cdkDropListConnectedTo]="[todoList]"
      class="collection-list" (cdkDropListDropped)="drop($event)">
      <div class="collection-box" *ngFor="let item of done" cdkDrag>{{item.text}}</div>
    </div>
  </div>
  <div class="col-sm-6 connection">
    <div class="row connection_header" id="destinationCollection" style="height: 46px;">
      <div class="col-md-12 padding-left-5">
        <kendo-dropdownlist [data]="destinationConnections" class="custom_dpd" height="40" [filterable]="true"
          [textField]="'name'" [valueField]="'connectionId'" (filterChange)="filterDestinationConnection($event)"
          [(ngModel)]="destinationConnectionValue" (selectionChange)="selectionChangeDestinationConnection($event)"
          *ngIf="!isDestinationConnectionConnected">
        </kendo-dropdownlist>
      </div>
      <div class="col-md-4" id="prefix">
        <input kendoInput type="text" class="job_name" placeholder="Prefix"
          style="border: 1px solid #d7d7d7;padding: 3px;" [(ngModel)]="bulkJob.prefix" />
      </div>
      <div class="col-md-4" id="schedular">
        <input kendoInput type="text" ngxDaterangepickerMd [isInvalidDate]="isInvalidDate" [isCustomDate]="isCustomDate"
          [locale]="{format: 'MM/DD/YYYY HH:mm:ss', firstDay: 1, clearLabel: 'Clear'}" (change)="getSubmittedDateTimeRange($event)"
          [(ngModel)]="selectedEffectiveDate" [singleDatePicker]="true" [autoApply]="true" [timePicker]="true" [timePicker24Hour]="true" [timePickerSeconds]="true"/>
      </div>
    </div>
    <div class="row">
      <div class="col-md-12" style="margin-top: 5px">
        <!-- <cron-editor [(cron)]="cronExpression" [disabled]="isCronDisabled" [(options)]="cronOptions"></cron-editor> -->
      </div>
    </div>
  </div>
</section>
<div class="overlay" *ngIf="isProcessing">
  <i class="fa fa-refresh fa-spin"></i>
</div>